Name:           hawaii-workspace
Summary:        Hawaii workspace, applications and plugins
Version:        0.6.90
Release:        0.1.20160301git%{?dist}
# Programs are GPL v2+
# Platform plugin is LGPL v2.1
License:        GPLv2+ and LGPLv2.1
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  cmake(GreenIslandClient)
BuildRequires:  cmake(Hawaii)
%if 0%{?fedora} >= 23
BuildRequires:  cmake(Qt5GStreamer)
%endif
%if 0%{?fedora} < 23
BuildRequires:  qt5-gstreamer-devel
%endif
BuildRequires:  pkgconfig(gio-2.0) >= 2.31.0

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

Requires:       qt5-qtdeclarative
Requires:       qt5-qtquickcontrols


%description
Hawaii runtime components.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Override wallpaper
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
cat > %{buildroot}%{_datadir}/glib-2.0/schemas/org.hawaiios.desktop.background.gschema.override <<EOF
[org.hawaiios.desktop.background]
mode='wallpaper'
picture-url='file://%{_datadir}/backgrounds/default.png'
EOF

# Override launcher applications
cat > %{buildroot}%{_datadir}/glib-2.0/schemas/org.hawaiios.desktop.panel.gschema.override <<EOF
[org.hawaiios.desktop.panel]
pinned-launchers=['org.kde.konsole', 'hawaii-system-preferences']
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.hawaiios.*.desktop


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files
%license LICENSE.GPLv2 LICENSE.LGPLv2.1
%doc AUTHORS.md
%{_bindir}/hawaii-polkit-agent
%{_bindir}/hawaii-powermanager
%{_bindir}/hawaii-screencap
%{_bindir}/hawaii-screenshot
%{_sysconfdir}/xdg/autostart/hawaii-polkit-agent.desktop
%{_sysconfdir}/xdg/autostart/hawaii-powermanager.desktop
%{_datadir}/applications/org.hawaiios.screenshot.desktop
%{_sysconfdir}/xdg/menus/*
%{_datadir}/desktop-directories/*
%{_datadir}/glib-2.0/schemas/*
%{_kf5_qtplugindir}/platformthemes/HawaiiPlatformTheme.so


%changelog
* Tue Mar 01 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160301git
- Update to latest snapshot

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-2
- Improve file list and validate desktop file

* Sun Jan 03 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-1
- Initial packaging
